View Issue Details

IDProjectCategoryView StatusLast Update
0001498Industrial-Craft²crossmod-compatibility / submodules / APIpublic2015-01-22 01:19
Reporterddos666tbAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx64 java 7OSWinOS Version7
Product VersionBuilds for MC 1.7.10 
Target VersionFixed in Version 
Summary0001498: Mekanism mechanical pipe NPE crash
DescriptionWhen trying to load my world there is crash with mekanism build 145, 136 works fine. I think it's being caused by https://github.com/aidancbrady/Mekanism/commit/fd0bdd4da8d0083bc2163cd5744a6bdfb0529e0c#diff-52ef4f4871b2adff30eb426c9a248f1bR50

But there's no null passed to canDrain
Steps To ReproduceSteam Kinetic generator connected to superhot steam tank via mechanical pipe from mekanism, save & reload world
Additional InformationMekanism 145 (Lastest) & lastest IC2 Exp
Tagsmekanism
Minecraft Version

Activities

ddos666tb

2014-12-25 12:57

reporter  

crash-2014-12-25_12.54.33-server.txt (26,235 bytes)
---- Minecraft Crash Report ----
// You're mean.

Time: 25.12.14 12:54
Description: Exception in server tick loop

java.lang.NullPointerException: Exception in server tick loop
	at ic2.core.block.kineticgenerator.tileentity.TileEntitySteamKineticGenerator.canDrain(TileEntitySteamKineticGenerator.java:361)
	at mekanism.common.util.PipeUtils.isValidAcceptorOnSide(PipeUtils.java:49)
	at mekanism.common.multipart.PartMechanicalPipe.isValidAcceptor(PartMechanicalPipe.java:235)
	at mekanism.common.multipart.PartSidedPipe.getPossibleAcceptorConnections(PartSidedPipe.java:212)
	at mekanism.common.multipart.PartSidedPipe.refreshConnections(PartSidedPipe.java:477)
	at mekanism.common.multipart.PartSidedPipe.onChunkLoad(PartSidedPipe.java:529)
	at codechicken.multipart.TileMultipart$$anonfun$onChunkLoad$1.apply(TileMultipart.scala:91)
	at codechicken.multipart.TileMultipart$$anonfun$onChunkLoad$1.apply(TileMultipart.scala:91)
	at codechicken.multipart.TileMultipart.operate(TileMultipart.scala:75)
	at codechicken.multipart.TileMultipart.onChunkLoad(TileMultipart.scala:91)
	at codechicken.multipart.TickScheduler$ChunkTickScheduler.load(TickScheduler.scala:240)
	at codechicken.lib.world.WorldExtension.loadChunk(WorldExtension.java:47)
	at codechicken.lib.world.WorldExtensionManager$WorldExtensionEventHandler.onChunkLoad(WorldExtensionManager.java:57)
	at cpw.mods.fml.common.eventhandler.ASMEventHandler_758_WorldExtensionEventHandler_onChunkLoad_Load.invoke(.dynamic)
	at cpw.mods.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:54)
	at cpw.mods.fml.common.eventhandler.EventBus.post(EventBus.java:138)
	at net.minecraft.world.chunk.Chunk.func_76631_c(Chunk.java:923)
	at net.minecraftforge.common.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:46)
	at net.minecraftforge.common.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:12)
	at net.minecraftforge.common.util.AsynchronousExecutor.skipQueue(AsynchronousExecutor.java:344)
	at net.minecraftforge.common.util.AsynchronousExecutor.getSkipQueue(AsynchronousExecutor.java:302)
	at net.minecraftforge.common.chunkio.ChunkIOExecutor.syncChunkLoad(ChunkIOExecutor.java:12)
	at net.minecraft.world.gen.ChunkProviderServer.loadChunk(ChunkProviderServer.java:126)
	at net.minecraft.world.gen.ChunkProviderServer.func_73158_c(ChunkProviderServer.java:101)
	at net.minecraft.server.MinecraftServer.func_71222_d(MinecraftServer.java:265)
	at net.minecraft.server.integrated.IntegratedServer.func_71247_a(IntegratedServer.java:130)
	at net.minecraft.server.integrated.IntegratedServer.func_71197_b(IntegratedServer.java:153)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:387)
	at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.7.10
	Operating System: Windows 7 (amd64) version 6.1
	Java Version: 1.7.0_71, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1294264160 bytes (1234 MB) / 2377834496 bytes (2267 MB) up to 3133997056 bytes (2988 MB)
	JVM Flags: 18 total; -Xms1G -Xmx3G -XX:PermSize=256M -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:+AggressiveOpts -XX:+UseLargePages -XX:+AggressiveOpts -XX:+UseFastAccessorMethods -XX:+UseStringCache -XX:+OptimizeStringConcat -XX:+UseCompressedStrings -XX:+UseBiasedLocking -Xincgc -XX:MaxGCPauseMillis=10 -XX:SoftRefLRUPolicyMSPerMB=10000 -XX:+CMSParallelRemarkEnabled -XX:ParallelGCThreads=10
	AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	IntCache: cache: 0, tcache: 0, allocated: 12, tallocated: 96
	FML: MCP v9.05 FML v7.10.85.1240 Minecraft Forge 10.13.2.1240 Optifine OptiFine_1.7.10_HD_U_B1 MCUpdater: GejzerPack (rev 1.0.29) 131 mods loaded, 131 mods active
	mcp{9.05} [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	FML{7.10.85.1240} [Forge Mod Loader] (forge-10.13.2.1240.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Forge{10.13.2.1240} [Minecraft Forge] (forge-10.13.2.1240.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	appliedenergistics2-core{rv2-alpha-28} [AppliedEnergistics2 Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	CodeChickenCore{1.0.4.29} [CodeChicken Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	<CoFH ASM>{000} [CoFH ASM Data Initialization] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Micdoodlecore{} [Micdoodle8 Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NotEnoughItems{1.0.3.78} [Not Enough Items] (NotEnoughItems.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ThaumicTinkerer-preloader{0.1} [Thaumic Tinkerer Core] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	OpenModsCore{@VERSION@} [OpenModsCore] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	IC2{2.2.658-experimental} [IndustrialCraft 2] (IC2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	AdvancedSolarPanel{1.7.10-3.5.1} [Advanced Solar Panels] (AdvancedSolarPanel.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	appliedenergistics2{rv2-alpha-28} [Applied Energistics 2] (appliedenergistics2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	CoFHCore{1.7.10R3.0.0B9} [CoFH Core] (CoFHCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BuildCraft|Core{6.2.6} [BuildCraft] (BuildCraft_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BuildCraft|Transport{6.2.6} [BC Transport] (BuildCraft_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BuildCraft|Silicon{6.2.6} [BC Silicon] (BuildCraft_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BuildCraft|Factory{6.2.6} [BC Factory] (BuildCraft_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	additionalpipes{3.2} [Additional Pipes] (APUnofficial.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Baubles{1.0.1.8} [Baubles] (Baubles-1.7.10-1.0.1.8.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Thaumcraft{4.2.1.4} [Thaumcraft] (Thaumcraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	arsmagica2{1.4.0.005} [Ars Magica 2] (arsmagica2.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Backpack{2.0.1} [Backpack] (Backpack.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	bdlib{1.5.1.32} [BD Lib] (bdlib.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BiblioCraft{1.8.2} [BiblioCraft] (BiblioCraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BiomesOPlenty{2.1.0} [Biomes O' Plenty] (BiomesOPlenty.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BiblioWoodsBoP{1.8} [BiblioWoods Biomes O'Plenty Edition] (BiblioWoodsBoP.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Forestry{3.2.0.5} [Forestry for Minecraft] (Forestry.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BiblioWoodsForestry{1.6} [BiblioWoods Forestry Edition] (BiblioWoodsForestry.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ThermalFoundation{1.7.10R1.0.0RC1} [Thermal Foundation] (ThermalFoundation.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ThermalExpansion{1.7.10R4.0.0B8} [Thermal Expansion] (ThermalExpansion.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BigReactors{0.4.0rc9} [Big Reactors] (BigReactors.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BinnieCore{2.0-dev5} [Binnie Core] (BinnieCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Botany{2.0-dev5} [Botany] (BinnieCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ExtraBees{2.0-dev5} [Extra Bees] (BinnieCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ExtraTrees{2.0-dev5} [Extra Trees] (BinnieCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Genetics{2.0-dev5} [Genetics] (BinnieCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BuildCraft|Builders{6.2.6} [BC Builders] (BuildCraft_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	BuildCraft|Energy{6.2.6} [BC Energy] (BuildCraft_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	cfm{3.3.5} [�6MrCrayfish's Furniture Mod] (cfm.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ChickenChunks{1.3.4.16} [ChickenChunks] (ChickenChunks.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	chisel{1.5.7} [Chisel] (chisel.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	chocolateQuest{0.0} [Chocolate Quest] (chocolateQuest.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	EnderIO{1.7.10-2.1.5.248} [Ender IO] (EnderIO.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	EnderStorage{1.4.5.27} [EnderStorage] (EnderStorage.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	eplus{1.7.10-3.0.1} [Enchanting Plus] (eplus.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	exnihilo{1.37} [Ex Nihilo] (Ex-Nihilo.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Waila{1.5.6a} [Waila] (waila.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	extracells{2.2.5} [ExtraCells] (extracells.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MetallurgyCore{4.0.4} [Metallurgy Core] (MetallurgyCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Mantle{1.7.10-0.3.2.jenkins184} [Mantle] (Mantle.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded{1.7.10R2.8.0RC6} [MineFactory Reloaded] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	TConstruct{1.7.10-1.7.1.build771} [Tinkers' Construct] (TinkersWorkshop.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Metallurgy{4.0.6} [Metallurgy 4] (Metallurgy.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ExtraTiC{0.8.4} [ExtraTiC] (ExtraTiC.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	UniversalElectricity{@MAJOR@.@MINOR@.@REVIS@} [Universal Electricity] (UniversalElectricity.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ForgeMultipart{1.1.0.314} [Forge Multipart] (ForgeMultipart-1.7.10-1.1.0.314-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ExtraUtilities{1.2.0} [Extra Utilities] (ExtraUtilities.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	GalacticraftCore{3.0.5} [Galacticraft Core] (GalacticraftCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	GalacticraftMars{3.0.5} [Galacticraft Planets] (GalacticraftMars.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	IC2NuclearControl{2.0.8c} [Nuclear Control 2] (IC2NuclearControl.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	inventorytweaks{1.59-dev-152-cf6e263} [Inventory Tweaks] (inventorytweaks.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	IronChest{6.0.62.742} [Iron Chest] (IronChest.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	journeymap{5.0.1} [JourneyMap] (journeymap.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	LogisticsPipes{0.8.2.89} [Logistics Pipes] (LogisticsPipes_Main.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	lucky{5.1.0} [Lucky Block] (luckyblock.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	LunatriusCore{1.1.2.18} [LunatriusCore] (LunatriusCore.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	magicalcrops{1.7.2 - 0.1 ALPHA} [Magical Crops] (magicalcrops.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ThaumicTinkerer{2.5-1.7.10-158} [Thaumic Tinkerer] (ThaumicTinkerer.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MagicBees{1.7.10-2.1.21} [Magic Bees] (MagicBees.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Mekanism{7.1.1} [Mekanism] (Mekanism-1.7.10-7.1.1.145.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MekanismGenerators{7.1.1} [MekanismGenerators] (MekanismGenerators-1.7.10-7.1.1.145.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MekanismTools{7.1.1} [MekanismTools] (MekanismTools-1.7.10-7.1.1.145.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatMagicalCrops{1.0beta} [MFR Compat: MagicalCrops] (MineFactoryReloaded-CompatMagicalCrops.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatAppliedEnergistics{1.7.10R2.8.0RC6} [MFR Compat: Applied Energistics] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatAtum{1.7.10R2.8.0RC6} [MFR Compat: Atum] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatBackTools{1.7.10R2.8.0RC6} [MFR Compat: BackTools] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatBuildCraft{1.7.10R2.8.0RC6} [MFR Compat: BuildCraft] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatChococraft{1.7.10R2.8.0RC6} [MFR Compat: Chococraft] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatExtraBiomes{1.7.10R2.8.0RC6} [MFR Compat: ExtraBiomes] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatForestry{1.7.10R2.8.0RC6} [MFR Compat: Forestry] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatForgeMicroblock{1.7.10R2.8.0RC6} [MFR Compat: ForgeMicroblock] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatIC2{1.7.10R2.8.0RC6} [MFR Compat: IC2] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatMystcraft{1.7.10R2.8.0RC6} [MFR Compat: Mystcraft] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MrTJPCoreMod{1.0} [MrTJPCoreMod] (MrTJPCore-1.7.10-1.0.3.5-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Core{4.5.8.59} [ProjectRed] (ProjRed_Core.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Exploration{4.5.8.59} [ProjectRed-Exploration] (ProjRed_Exploration.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatProjRed{1.7.10R2.8.0RC6} [MFR Compat ProjectRed] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatRailcraft{1.7.10R2.8.0RC6} [MFR Compat: Railcraft] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatRP2{1.7.10R2.8.0RC6} [MFR Compat: RP2] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatSufficientBiomes{1.7.10R2.8.0RC6} [MFR Compat: Sufficient Biomes] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatThaumcraft{1.7.10R2.8.0RC6} [MFR Compat: Thaumcraft] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatThermalExpansion{1.7.10R2.8.0RC6} [MFR Compat: Thermal Expansion] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatTConstruct{1.7.10R2.8.0RC6} [MFR Compat: Tinkers' Construct] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatTwilightForest{1.7.10R2.8.0RC6} [MFR Compat: TwilightForest] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineFactoryReloaded|CompatVanilla{1.7.10R2.8.0RC6} [MFR Compat: Vanilla] (MineFactoryReloaded.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	MineTweaker3{3.0.9B} [MineTweaker 3] (MineTweaker3.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ModTweaker{0.6} [ModTweaker] (ModTweaker.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NEIAddons{1.12.3.11} [NEI Addons] (NEIAddons.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NEIAddons|Botany{1.12.3.11} [NEI Addons: Botany] (NEIAddons.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NEIAddons|Forestry{1.12.3.11} [NEI Addons: Forestry] (NEIAddons.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NEIAddons|CraftingTables{1.12.3.11} [NEI Addons: Crafting Tables] (NEIAddons.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NEIAddons|ExNihilo{1.12.3.11} [NEI Addons: Ex Nihilo] (NEIAddons.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	neiintegration{1.0.2} [NEI Integration] (neiintegration.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	NetherOres{1.7.10R2.3.0RC4} [Nether Ores] (NetherOres.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	OpenMods{0.6} [OpenMods] (OpenMods.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	OpenBlocks{1.3} [OpenBlocks] (OpenBlocks.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	planetguyLib{1.2} [planetguyLib] (PlanetguyLib.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	PowerConverters{1.7.10-3.0.0.32} [Power Converters] (PowerConverters.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	pressure{1.0.1.48} [Pressure Pipes] (pressure.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Transportation{4.5.8.59} [ProjectRed-Transportation] (ProjRed_Expansion.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Transmission{4.5.8.59} [ProjectRed-Transmission] (ProjRed_Transmission.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Compatibility{4.5.8.59} [ProjectRed-Compatibility] (ProjRed_Compatibility.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Expansion{4.5.8.59} [ProjectRed-Expansion] (ProjRed_Expansion.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Illumination{4.5.8.59} [ProjectRed-Illumination] (ProjRed_Illumination.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ProjRed|Integration{4.5.8.59} [ProjectRed-Integration] (ProjRed_Transmission.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	YogpstopLib{2.0.0} [Yogpstop Library] (QuarryPlus.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	QuarryPlus{2.0.0} [QuarryPlus] (QuarryPlus.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	JAKJ_RedstoneInMotion{2.3.3} [Remain In Motion] (RemainInMotion.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	JAKJ_RedstoneInMotion_HollowCarriages{1.0} [JAKJ_RedstoneInMotion_HollowCarriages] (RemainInMotion.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Schematica{1.7.3.105} [Schematica] (Schematica.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	TiCTooltips{1.1.11b} [TiC Tooltips] (TiCTooltips.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	bspkrsCore{6.15} [bspkrsCore] ([1.7.10]bspkrsCore-universal-6.15.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	Treecapitator{1.7.10} [Treecapitator] (Treecapitator.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	UndergroundBiomes{0.6h} [Underground Biomes Constructs] (UndergroundBiomesConstructs.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	WR-CBE|Core{1.4.1.9} [WR-CBE Core] (WirelessRedstone.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	WR-CBE|Addons{1.4.1.9} [WR-CBE Addons] (WirelessRedstone.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	WR-CBE|Logic{1.4.1.9} [WR-CBE Logic] (WirelessRedstone.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	McMultipart{1.1.0.314} [Minecraft Multipart Plugin] (ForgeMultipart-1.7.10-1.1.0.314-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	aobd{2.3.5} [Another One Bites The Dust] (aobd.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	ForgeMicroblock{1.1.0.314} [Forge Microblocks] (ForgeMultipart-1.7.10-1.1.0.314-universal.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available
	AE2 Version: alpha rv2-alpha-28 for Forge 10.13.2.1230
	Mantle Environment: DO NOT REPORT THIS CRASH! Unsupported mods in environment: optifine
	TConstruct Environment: Environment healthy.
	Forestry : [Forestry] Warning: You have mods that change the behavior of Minecraft, ForgeModLoader, and/or Minecraft Forge to your client: 
Optifine
These may have caused this error, and may not be supported. Try reproducing the crash WITHOUT these mods, and report it then.
	AE2 Integration: IC2:ON, RotaryCraft:OFF, RC:OFF, BC:ON, MJ6:ON, MJ5:ON, RF:ON, RFItem:ON, MFR:ON, DSU:ON, FZ:OFF, FMP:ON, RB:OFF, CLApi:OFF, Waila:ON, InvTweaks:ON, NEI:ON, CraftGuide:OFF, Mekanism:ON, ImmibisMicroblocks:OFF, BetterStorage:OFF
	Profiler Position: N/A (disabled)
	Vec3 Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
	Player Count: 0 / 8; []
	Type: Integrated Server (map_client.txt)
	Is Modded: Definitely; Client brand changed to 'fml,forge'

ddos666tb

2014-12-25 13:44

reporter   ~0003634

even dont need to reload, just place pipe near to kinetic steam generator & crash

ddos666tb

2014-12-27 18:38

reporter   ~0003640

https://github.com/aidancbrady/Mekanism/issues/2052

Paul17041993

2014-12-27 20:02

reporter   ~0003644

Ill post the question here too; could you test if the same crash happens with the Solar Distiller?

ddos666tb

2015-01-03 18:10

reporter   ~0003652

yep same

Paul17041993

2015-01-03 22:20

reporter   ~0003653

Last edited: 2015-01-03 22:20

View 2 revisions

could you post a link to the crashlog though? Just want to confirm what I think is happening, while the steam generator is missing a null check on the fluid in it's tank, the solar distiller doesn't and both our bug reports seem to be exposing two sets of NPE crashes on the steam generator, and one NPE crash on various other machines...

Player

2015-01-22 01:19

administrator   ~0003683

The next version should fix this issue.

Issue History

Date Modified Username Field Change
2014-12-25 12:57 ddos666tb New Issue
2014-12-25 12:57 ddos666tb File Added: crash-2014-12-25_12.54.33-server.txt
2014-12-25 12:57 ddos666tb Tag Attached: mekanism
2014-12-25 13:44 ddos666tb Note Added: 0003634
2014-12-27 18:38 ddos666tb Note Added: 0003640
2014-12-27 20:02 Paul17041993 Note Added: 0003644
2015-01-03 18:10 ddos666tb Note Added: 0003652
2015-01-03 22:20 Paul17041993 Note Added: 0003653
2015-01-03 22:20 Paul17041993 Note Edited: 0003653 View Revisions
2015-01-22 01:19 Player Note Added: 0003683
2015-01-22 01:19 Player Status new => resolved
2015-01-22 01:19 Player Resolution open => fixed
2015-01-22 01:19 Player Assigned To => Player